# OpalRFC2833EventsMask Class Reference

`#include <rfc2833.h>`

## Public Types

| NumEvents = 256
enum | { NumEvents = 256 }

## Public Member Functions

| OpalRFC2833EventsMask (bool defaultValue=false)
| OpalRFC2833EventsMask (const char *defaultValues)
OpalRFC2833EventsMask & | operator &= (const OpalRFC2833EventsMask &other)

## Friends

ostream & | operator<< (ostream &strm, const OpalRFC2833EventsMask &mask)
istream & | operator>> (istream &strm, OpalRFC2833EventsMask &mask)

## Member Enumeration Documentation

anonymous enum

Enumerator:

  NumEvents |

## Constructor & Destructor Documentation

OpalRFC2833EventsMask::OpalRFC2833EventsMask | ( | bool | defaultValue = `false` | ) |

OpalRFC2833EventsMask::OpalRFC2833EventsMask | ( | const char * | defaultValues | ) |

## Member Function Documentation

OpalRFC2833EventsMask& OpalRFC2833EventsMask::operator &= | ( | const OpalRFC2833EventsMask & | other | ) |

## Friends And Related Function Documentation

ostream& operator<< | ( | ostream & | strm,
|  | const OpalRFC2833EventsMask & | mask |
| ) |  |  | `[friend]`

istream& operator>> | ( | istream & | strm,
|  | OpalRFC2833EventsMask & | mask |
| ) |  |  | `[friend]`

The documentation for this class was generated from the following file:

- rfc2833.h